API referenceGroups
List groups
List all groups in the company workspace. Filter on kind to exclude the IdP-synced groups that cannot be modified through this API.
GET
/groupscurl -X GET "https://api.corma.io/v1/groups" \
-H "x-corma-api-key: $CORMA_OPEN_API_KEY"Authorization
x-corma-api-keystringheaderrequiredColon-separated API key ID and secret:
API_KEY_ID:API_KEY_SECRET
Parameters
takeintegerqueryDefault:50skipintegerqueryDefault:0filtersobjectquery
Response
application/json200
OK
paginationPaginationResponseMetarequireditemsGroup[]required
{
"pagination": {
"take": 0,
"skip": 0,
"total": 0
},
"items": [
{
"id": 0,
"name": "string",
"kind": "manual",
"memberCount": 0,
"createdAt": "2026-01-15T09:30:00Z",
"updatedAt": "2026-01-15T09:30:00Z"
}
]
}